MCP Tools Reference: slidesmcp.googleapis.com

Tool: read_presentation

Eine JSON-Darstellung einer Google-Präsentation lesen.

Entspricht presentations.get in der REST API.

Im folgenden Beispiel wird gezeigt, wie Sie das MCP-Tool read_presentation mit curl aufrufen.

Curl-Anfrage
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Eingabeschema

Anfrage zum Lesen einer Präsentation.

ReadPresentationRequest

JSON-Darstellung
{
  "presentationId": string
}
Felder
presentationId

string

Erforderlich. Die ID der Präsentation, aus der Inhalte gelesen werden sollen.

Ausgabeschema

Antwort mit der JSON-Darstellung der Präsentation.

ReadPresentationResponse

JSON-Darstellung
{
  "content": string
}
Felder
content

string

Eine JSON-Darstellung einer Google-Präsentation.

Toolanmerkungen

Destruktiver Hinweis: ❌ | Idempotenter Hinweis: ✅ | Hinweis „Nur lesen“: ✅ | Hinweis „Offene Welt“: ✅

Autorisierungsbereiche

Erfordert einen der folgenden OAuth-Bereiche:

  • https://www.googleapis.com/auth/drive.readonly
  • https://www.googleapis.com/auth/presentations.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/presentations